Bug 1119754 - SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /var/lib/chrony.
Summary: SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: chrony
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a0b6adb6c77ff350489bbaaacfd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 12:44 UTC by Jared Smith
Modified: 2015-12-02 16:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:15:57 UTC


Attachments (Terms of Use)

Description Jared Smith 2014-07-15 12:44:04 UTC
Description of problem:
Was just using my computer normally (not accessing anything via http) and saw this SELinux alert pop up.
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /var/lib/chrony.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that httpd should be allowed search access on the chrony directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:chronyd_var_lib_t:s0
Target Objects                /var/lib/chrony [ dir ]
Source                        httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.9-8.fc21.x86_64
Target RPM Packages           chrony-1.30-1.fc21.x86_64
Policy RPM                    selinux-policy-3.13.1-63.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.16.0-0.rc4.git3.1.fc21.x86_64 #1
                              SMP Fri Jul 11 17:13:44 UTC 2014 x86_64 x86_64
Alert Count                   2
First Seen                    2014-07-14 11:08:34 EDT
Last Seen                     2014-07-15 08:43:02 EDT
Local ID                      9760bc68-76bb-4b33-b7b2-6056487826c8

Raw Audit Messages
type=AVC msg=audit(1405428182.764:688): avc:  denied  { search } for  pid=14166 comm="httpd" name="chrony" dev="dm-2" ino=2621689 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:chronyd_var_lib_t:s0 tclass=dir permissive=0


type=SYSCALL msg=audit(1405428182.764:688): arch=x86_64 syscall=stat success=no exit=EACCES a0=7f1363854f40 a1=7fffbaf239c0 a2=7fffbaf239c0 a3=3a items=0 ppid=1458 pid=14166 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 tty=(none) ses=4294967295 comm=httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: httpd,httpd_t,chronyd_var_lib_t,dir,search

Version-Release number of selected component:
selinux-policy-3.13.1-63.fc21.noarch

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.0-0.rc4.git3.1.fc21.x86_64
type:           libreport

Potential duplicate: bug 819276

Comment 2 Fedora End Of Life 2015-11-04 15:17:37 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-12-02 03:16:00 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.